<div>
    <jhi-alert></jhi-alert>
    <div *ngIf="proses === 'forapprove'">
        <div class="ui-g-8">
        <button pButton (click)="approve()" label="Approve" class="ui-button-primary flat-label-button"
            [disabled]="selected.length === 0">
        </button>
    </div>
    <div class="ui-g-8">
        <button pButton (click)="cekNotApprove()" label="Not Approve" class="ui-button-primary flat-label-button"
            [disabled]="selected.length === 0">
        </button>
    </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.headerKlaim.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br />
    <p-dataTable [value]="headerKlaims" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
        row="itemsPerPage" totalRecords="totalItems" dataKey="id_header" expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)" sortMode="multiple" [(selection)]="selected">
        <p-header>
        </p-header>
        <p-column selectionMode="multiple" [style]="{'width':'38px'}" *ngIf="proses === 'forapprove'"></p-column>
        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="No Transaksi">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.notrans}}
            </ng-template>
        </p-column>
        <p-column header="No Trans Klaim">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.notransKlaim}}
            </ng-template>
        </p-column>
        <p-column header="bulan_program">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.bulan_program}}
            </ng-template>
        </p-column>
        <p-column header="No Klaim">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.no_klaim}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Klaim">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.tgl_klaim}}
            </ng-template>
        </p-column>
        <p-column header="No Surat SKG">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.no_srt_skg}}
            </ng-template>
        </p-column>
        <p-column header="Tgl Surat SKG">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.tgl_srt_skg}}
            </ng-template>
        </p-column>
        <p-column header="Hal SKG">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.hal_skg}}
            </ng-template>
        </p-column>
        <p-column header="No Surat SBS">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.no_srt_sbs}}
            </ng-template>
        </p-column>
        <p-column header="Tgl Surat SBS">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.tgl_srt_sbs}}
            </ng-template>
        </p-column>
        <p-column header="Hal SBS">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.hal_sbs}}
            </ng-template>
        </p-column>
        <p-column header="Ket ACC">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.ketACC}}
            </ng-template>
        </p-column>
        <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="login === 'JNY'">
                    <button pButton type="button" icon="fa-check" class="flat-button" pTooltip="Lihat Detail"
                        (click)="approveDetail(rowData)"> </button>
                </div>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
    <p-dialog [(visible)]="modalDetailKlaim" modal="true" (onHide)="resetDialog()">
        <p-header>
        </p-header>
        <div *ngIf="noTrans && noKlaim">
            <jhi-approval-detail-klaim [notrans]="noTrans" [noklaim]="noKlaim"></jhi-approval-detail-klaim>
        </div>
        <p-footer>
        </p-footer>
    </p-dialog>
    <p-dialog header="Catatan" [(visible)]="newModalNote" modal="true" [width]="700">
        <form name="notesForm" role="form" novalidate (ngSubmit)="notApprove()" #editForm="ngForm">
            <div class="card-deck" style="margin: 25px;">
                <jhi-alert-error></jhi-alert-error>
                <textarea pInputTextarea class="form-control" id="field_notes2" name="notes2" [rows]="5" [cols]="30"
                    autoResize="autoResize" [(ngModel)]="ketNotApp">
                </textarea>
            </div>
            <div class="modal-footer">
                <button pButton type="submit" label="Not Approve" icon="fa-save" class="ui-button-primary flat-label-button">
                </button>
            </div>
        </form>
    </p-dialog>
</div>